Search Results for

Show / Hide Table of Contents

# Interface ISdkImp

Builds platform-specific implementations.

###### Namespace: AppstockSDK.Common

###### Assembly: Appstock.Common.dll

##### Syntax

    [RequireImplementors]
    public interface ISdkImp

### Properties

#### SdkInitializer

Gets SDK Initializer object.

##### Declaration

    ISdkInitializer SdkInitializer { get; }

##### Property Value

Type | Description
--- | ---
ISdkInitializer | Proxy for a static method in the native SDK library for a specific platform.

#### SdkProxy

Gets SDK proxy object.

##### Declaration

    ISdkProxy SdkProxy { get; }

##### Property Value

Type | Description
--- | ---
ISdkProxy | Managed object that exposes global settings of native SDK.

#### TargetingProxy

Gets SDK targeting proxy object.

##### Declaration

    ITargetingProxy TargetingProxy { get; }

##### Property Value

Type | Description
--- | ---
ITargetingProxy | Managed object that exposes targeting settings of native SDK.

### Methods

#### CreateBanner(AdSize)

Creates a banner of specified size.

##### Declaration

    IBannerAd CreateBanner(AdSize adSize)

##### Parameters

Type | Name | Description
--- | --- | ---
AdSize | adSize | Size of the banner view.

##### Returns

Type | Description
--- | ---
IBannerAd | Managed object that exposes controls over native ad view.

#### CreateInterstitial()

Creates an interstitial ad unit.

##### Declaration

    IInterstitialAd CreateInterstitial()

##### Returns

Type | Description
--- | ---
IInterstitialAd | Managed object that exposes controls over native interstitial ad unit.

#### CreateNativeAdLoader(AdUnitData)

Creates a loader for native ad.

##### Declaration

    INativeAdLoader CreateNativeAdLoader(AdUnitData adUnitData)

##### Parameters

Type | Name | Description
--- | --- | ---
AdUnitData | adUnitData | Serializable template for native ad request.

##### Returns

Type | Description
--- | ---
INativeAdLoader | Managed object that exposes controls over native ad loader.

#### CreateRewarded()

Creates a rewarded ad unit.

##### Declaration

    IRewardedAd CreateRewarded()

##### Returns

Type | Description
--- | ---
IRewardedAd | Managed object that exposes controls over native rewarded ad unit.